Create a report

Create a new Kalepa report from either an array of insured business names and addresses, or an uploaded document such as a statement of values. Returns the new report's ID and name. If a non-deleted report in your organization already has the external_id you send, the API returns that existing report with 201 instead of creating another.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
businesses
array of objects
businesses
string

the name of the report

string
enum

status of the report

string
enum

the submission coverage type

Allowed:
string

id of the submission in the insurer's system

boolean

flag indicating whether submission is a renewal

date-time

proposed effective date of the insurance policy

date

expiration date of the insurance policy

string

broker/agent who provided the submission

string

email of the broker/agent who provided the submission

string

brokerage/agency who provided the submission

string

brokerage/agency location

string

point of contact for the submission

string

email for the point of contact for the submission

string

name of the sub producer of the submission

string

email of the sub producer of the submission

additional_identifiers
array of objects
additional_identifiers
additional_data
object

additional data related to the report

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

400

The request is invalid.

401

The bearer token is missing or invalid.

403

The authenticated client is not permitted to access this resource (e.g. insufficient permissions or org-group scope).

404

The resource was not found.

500

An unexpected error occurred.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json